import request from "@/utils/request";
import axios from "@/utils/axios";

export function logList(param) {
    return request({
        url: "/jobLog/list",
        method: "post",
        data: param
    });
}

export function deleteLog(param) {
    return request({
        url: "/jobLog/delete",
        method: "post",
        data: param
    });
}


/**
 * 按天下载
 * @param day
 * @returns {*}
 */
export function downloadByDay(day, id) {
    return request({
        url: "/udidl/device/dlByDay",
        method: "get",
        params: {day: day, jobId: id}
    })
}

export function goOnDlDi(query) {
    return axios({
        url: "/udidl/device/goOnDlDi",
        method: "get",
        params: query
    });
}


/**
 * 按时间段下载
 * @param query
 * @returns {*}
 */
export function downloadByDays(query) {
    return request({
        url: "/udidl/device/dlByDays",
        method: "get",
        params: query
    })
}

